Page MenuHomePhabricator

Rename WikimediaPageViewInfo extension to PageViewInfo
Closed, ResolvedPublic

Description

T144865: Add pageview stats to the action API would add an abstract pageview service (see T144865#2633788) after which it would be trivial to make WikimediaPageViewInfo non-Wikimedia-specific, so after discussion with @Legoktm I'd like to use that extension for the API module, and rename it to make clear it can be used on other wikis.

Extension renames suck, but this one has not been deployed anywhere yet, and is WMF-only, so it should not be that bad.

Details

Related Gerrit Patches:
mediawiki/extensions/WikimediaPageViewInfo : masterArchive old repo
translatewiki : masterRename WikimediaPageViewInfo -> PageViewInfo
mediawiki/extensions/PageViewInfo : masterwmpvi -> pvi for rename
mediawiki/extensions/PageViewInfo : masterFix .gitreview for rename
integration/config : masterRename WikimediaPageViewInfo to PageViewInfo

Event Timeline

Tgr created this task.Oct 20 2016, 5:56 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 20 2016, 5:56 PM

What's involved in renaming an extension? Creating a new Gerrit repository and importing the Git history?

demon added a subscriber: demon.Oct 25 2016, 4:25 AM

What's involved in renaming an extension? Creating a new Gerrit repository and importing the Git history?

Yep, request a new repo and history can be copied over. Then we'll mark the old one as hidden/read-only as appropriate.

Reedy added a subscriber: Reedy.Nov 1 2016, 4:59 PM

Can we jfdi this? :)

Tgr added a comment.Nov 4 2016, 1:50 AM

Can we jfdi this? :)

Would be great if someone did! Just don't delete the old repo yet, there are a bunch of pending changes in gerrit.

Mentioned in SAL (#wikimedia-releng) [2016-11-04T13:20:03Z] <hashar> gerrit: created mediawiki/extensions/PageViewInfo.git and renamed user group extension-WikimediaPageViewInfo to extension-PageViewInfo T148775

Reedy added a comment.Nov 4 2016, 2:00 PM

[13:59:44] <grrrit-wm> (PS1) Reedy: Fix .gitreview for rename [extensions/PageViewInfo] - https://gerrit.wikimedia.org/r/319848
[14:00:06] <grrrit-wm> (PS1) Reedy: wmpvi -> pvi for rename [extensions/PageViewInfo] - https://gerrit.wikimedia.org/r/319849

Reedy added a comment.Nov 4 2016, 2:13 PM

[14:10:02] <grrrit-wm> (PS1) Reedy: Rename WikimediaPageViewInfo -> PageViewInfo [translatewiki] - https://gerrit.wikimedia.org/r/319853

Reedy added a comment.Nov 4 2016, 2:16 PM

Extension and branches are all pushed to the new extension name

Blank github repo created, which has caused the imports there

Still missing on Phab, dunno if that requires further poking

Will add it to the extensions all in one meta repo thing when my repos finish updating again

Then it's just cherry picking the commits that are WIP onto the new repo (this works nicely if you use the generated cherry pick links).. Might be easier to rebase them on the old repo first, and then fix them up on the new repo post cherry pick too

Awesome, thank you to everyone who's helped so far!

Still missing on Phab, dunno if that requires further poking

Lego can do this at some point, if someone else doesn't beat him to it. I think the repo has to be added to Diffusion manually by a Phabricator admin.

Then it's just cherry picking the commits that are WIP onto the new repo (this works nicely if you use the generated cherry pick links).. Might be easier to rebase them on the old repo first, and then fix them up on the new repo post cherry pick too

These, I guess: https://gerrit.wikimedia.org/r/#/q/project:mediawiki/extensions/WikimediaPageViewInfo+status:open? Seems pretty straightforward.

Change 319848 had a related patch set uploaded (by Reedy):
Fix .gitreview for rename

https://gerrit.wikimedia.org/r/319848

Change 319853 had a related patch set uploaded (by Reedy):
Rename WikimediaPageViewInfo -> PageViewInfo

https://gerrit.wikimedia.org/r/319853

Change 319849 had a related patch set uploaded (by Reedy):
wmpvi -> pvi for rename

https://gerrit.wikimedia.org/r/319849

Change 320174 had a related patch set uploaded (by Gergő Tisza):
Rename WikimediaPageViewInfo to PageViewInfo

https://gerrit.wikimedia.org/r/320174

Change 320174 merged by jenkins-bot:
Rename WikimediaPageViewInfo to PageViewInfo

https://gerrit.wikimedia.org/r/320174

Change 319848 merged by Reedy:
Fix .gitreview for rename

https://gerrit.wikimedia.org/r/319848

Change 319849 merged by Reedy:
wmpvi -> pvi for rename

https://gerrit.wikimedia.org/r/319849

Change 319853 merged by jenkins-bot:
Rename WikimediaPageViewInfo -> PageViewInfo

https://gerrit.wikimedia.org/r/319853

Change 320331 had a related patch set uploaded (by Gergő Tisza):
Archive old repo

https://gerrit.wikimedia.org/r/320331

Change 320331 merged by Reedy:
Archive old repo

https://gerrit.wikimedia.org/r/320331

Reedy closed this task as Resolved.Nov 8 2016, 1:34 AM
Reedy claimed this task.

I see that @Tgr beat me to the wiki page move: https://www.mediawiki.org/wiki/Extension:PageViewInfo.

Anything else need doing at this point?

Hah, guess not!